package ruledemo;

import java.util.*;


public class RuleContainer 
{
	private Hashtable<String, Rule> _ruleTable = new Hashtable<String,Rule>();

	public void addRule(Rule rule) throws IllegalArgumentException
	{
		if(rule.getRuleID().equals(""))
		{
			throw new IllegalArgumentException("Rule cannot have an empty ID.");
		}
		
		if (_ruleTable.containsKey(rule.getRuleID()))
		{
			_ruleTable.remove(rule.getRuleID());
			rule.setPriority(Rule.Priority.High);
		}
		_ruleTable.put(rule.getRuleID(), rule);
	}

	public int getSize()
	{
		return _ruleTable.size();
	}
	
	public Rule getRule(String id)
	{
		return _ruleTable.get(id);
	}
}
