package ruledemo;

import ruledemo.Rule;
import org.junit.*;

import org.junit.Test;

public class RuleTestSuite
{
	private Rule _rule;
	
	@Before
	public void perTestSetup()
	{
		_rule = new Rule("TestID","TestSQL",Rule.Priority.Medium);
	}
	
	@Test
	public void RuleConstruction()
	{
		Assert.assertNotNull("Constructed rule is not null", _rule);
		Assert.assertEquals("Priorities match", "TestID", _rule.getRuleID());
		Assert.assertEquals("SQL matches", "TestSQL", _rule.getSQL());
		Assert.assertEquals("Priorities Match",Rule.Priority.Medium, _rule.getPriority());
	}

	@Test
	public void SetPriority()
	{
		Assert.assertEquals("Medium Priority", Rule.Priority.Medium, _rule.getPriority());
		
		_rule.setPriority(Rule.Priority.High);
		Assert.assertEquals("Set Priority High", Rule.Priority.High, _rule.getPriority());
				
		_rule.setPriority(Rule.Priority.Low);
		Assert.assertEquals("Set Priority Low",Rule.Priority.Low,_rule.getPriority());
	}

}
